# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,b2_查询公告_模糊查询,id2263,id2263-12,sit,on
主数据平台:b2_查询公告_模糊查询 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def select_notices():
    """
     场景:b2_查询公告_模糊查询
     用例名称：b2_查询公告_模糊查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #b2_查询公告_模糊查询
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "page_url1")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    expireDate=timeUtils().get_time_add(30)
    # print(expireDate)
    #请求体
    request_body=commonFuc().get_business_data(module, "payload7")

    # 发送请求
    result = commonFuc().http_post(url, request_body,headers)
    print('result', result)
    #断言
    total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    id=commonFuc().analysis_json('id',commonFuc().analysis_json('data',commonFuc().analysis_json('data',result)))
    content=commonFuc().analysis_json('content',commonFuc().analysis_json('data',commonFuc().analysis_json('data',result)))
    if total>=1:
         commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist(500, result)
    return id,content
# select_notices()
id2,content_name=select_notices()
info=(id2,content_name)
FileUtils().w_info3(info,module,'公告新增')