# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,c2_新增科室后查询科室,id2263,id2263-22,sit,on
主数据平台:c2_新增科室后查询科室 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def add_select_dept():
    """
     场景:c2_新增科室后查询科室
     用例名称：c2_新增科室后查询科室
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #c2_新增科室后查询科室
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "deptPage_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))


    # #请求体
    request_body=commonFuc().get_business_data(module, "payload13",branch_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    if total>=1:
        commonFuc().check_text_exist('0',result)
    else:
        commonFuc().check_text_exist('500', result)
add_select_dept()

