# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,c6_新增科室_不生成库房,id2263,id2263-26,sit,on
主数据平台:c6_新增科室_不生成库房 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def add_center_dept():
    """
     场景:c6_新增科室_不生成库房
     用例名称：c6_新增科室_不生成库房
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #c6_新增科室_不生成库房
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    dept2_id=FileUtils().r_info(module, '科室信息')["dept2_id"]
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "dept_insert_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))


    # #请求体
    request_body=commonFuc().get_business_data(module, "payload17",branch_id,dept2_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    checkDict=commonFuc().get_business_data(module,'checkDict2')
    commonFuc().check_result(checkDict,result)
add_center_dept()

