# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,d1_产品管理_产品维护_耗材分类_查询耗材分类,id2263,id2263-33,sit,on
主数据平台:d1_产品管理_产品维护_耗材分类_查询耗材分类 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def goodsKind_select():
    """
     场景:d1_产品管理_产品维护_耗材分类_查询耗材分类
     用例名称：d1_产品管理_产品维护_耗材分类_查询耗材分类
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #d1_产品管理_产品维护_耗材分类_查询耗材分类
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "goodsKindTree_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # #请求体
    request_body=commonFuc().get_business_data(module, "payload21")
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    # checkDict=commonFuc().get_business_data(module,'checkDict9')
    cname=commonFuc().analysis_json('cname',commonFuc().analysis_json('data',result))
    data=commonFuc().analysis_json('data',result)
    children=commonFuc().analysis_json('children',data)
    children_kind_id=commonFuc().analysis_json('id',children)
    commonFuc().check_text_exist(cname,result)
    print(children_kind_id)
    return children_kind_id
goodsKind_select()

