# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,f8_请领出库渠道设置_查询产品信息,id2263,id2263-58,sit,on
内网:f8_请领出库渠道设置_查询产品信息 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def goods_select():
    """
     场景:f8_请领出库渠道设置_查询产品信息
     用例名称：f8_请领出库渠道设置_查询产品信息
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #f8_请领出库渠道设置_查询产品信息
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "mcmsBranchGoodsInfo_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                         commonFuc().get_business_data(module, "X-APP-CODE"))
    # 获取院区id
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    # #请求体
    request_body = commonFuc().get_business_data(module, "payload45", branch_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('result', result)
    #断言
    # checkDict=commonFuc().get_business_data(module,'checkDict17')
    # commonFuc().check_result(checkDict,result)
    total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    if total>=1:
        commonFuc().check_text_exist(0, result)
        data=commonFuc().analysis_json('data',commonFuc().analysis_json('data',result))
        branchGoodsId=commonFuc().analysis_json('branchGoodsId',data)
        return branchGoodsId
    else:
        commonFuc().check_text_exist(500, result)
goods_select()
