# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,o7科室管理_科室产品分配_科室新增产品,id2263,id2263-173,sit,on
内网:o7科室管理_科室产品分配_科室新增产品
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def test1():
    """
     场景:o7科室管理_科室产品分配_科室新增产品
     用例名称：o7科室管理_科室产品分配_科室新增产品
     输入：产品id，科室编号
     输出："rtn_msg": {"code": 0, "msg": null,    "data": []}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    # pro_path = commonFuc().get_pro_path()
    # sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # using(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # from n7运维管理_消息通知模板_消息类型_获取消息模板ID import test1
    # id1= test1()
    # print(id1)

    # branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    branch_name= FileUtils().r_info(module, '院区新增')["branch_name"]
    name=branch_name+'中心库房'
    print(name)
    # str = commonFuc().get_business_data(module, 'data3')
    # list2 = list(str.split(","))
    # print(list2)
    # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_hms(2)
    # for i in list2:

    dept2_id = FileUtils().r_info(module, '科室信息')["dept2_id"]
    #同步库房信息
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_b8库房管理_库区设置_同步库房信息.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\r_b8库房管理_库区设置_同步库房信息.air')
    try:
        import time
        time.sleep(6)
        from r_b8库房管理_库区设置_同步库房信息 import test1
        test1()
    except Exception as e:
        print("r_b8库房管理_库区设置_同步库房信息发生异常：", str(e))

    # test1()
    #查询库房id
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_b9库房管理_库区设置_库房查询_查询全部.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\r_b9库房管理_库区设置_库房查询_查询全部.air')
    from r_b9库房管理_库区设置_库房查询_查询全部 import test1
    stockId=test1(name)
    #调用库区设置脚本新增库区
    #新增前删除货位,库区
    # delData().Delete_probeInfo()
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_c3库房管理_库区设置_新增库区.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\r_c3库房管理_库区设置_新增库区.air')
    from r_c3库房管理_库区设置_新增库区 import test2
    print('stockId',stockId)
    test2(stockId)

    # o5科室管理_科室产品分配_添加科室产品页面_查询全部
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_mcmsGoodsInfo_insert")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    dept2_id = FileUtils().r_info(module, '科室信息')["dept2_id"]
    # 请求体
    request_body = commonFuc().get_business_data(module, "payload58_6_2",dept2_id)
    request_body='['+str(request_body)+']'
    new_request_body = request_body.replace("'", '"')
    print(new_request_body)
    import json
    request_body_json = json.loads(new_request_body)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body_json,headers)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    #断言
    # checkDict=commonFuc().get_business_data(module,'checkDict10')
    # commonFuc().check_result(checkDict,result)
    code=commonFuc().analysis_json('code',result)
    data=commonFuc().analysis_json('data',result)
    if code==0 and data==1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
test1()
