# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_d1库房管理_库区设置_人员管理_添加人员_查询人员_异常,id2263,id2263-234,sit,on
内网:r_d1库房管理_库区设置_人员管理_添加人员_查询人员_异常
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1(dept_id='d69a68df361a4289b2262e4ef75b55a5', stockAreaId='b72a363163ff4670b4fa0390de5adb8c'):
    """
     场景:r_d1库房管理_库区设置_人员管理_添加人员_查询人员_异常
     用例名称：r_d1库房管理_库区设置_人员管理_添加人员_查询人员_异常
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    # r_d0库房管理_库区设置_人员管理_添加人员_查询人员
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_stockShelf_page_url")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    str = commonFuc().get_business_data(module, 'data3')
    list2 = list(str.split(","))
    print(list2)

    for i in list2:

        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload62_8", dept_id, stockAreaId, i)

        # print('request_body',request_body)
        # # # # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('resultbbbbbbbbbbb', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        data1 = commonFuc().analysis_json('data', data)
        # print(type(data1))
        # pageSize = commonFuc().analysis_json('pageSize', data)
        # print(pageSize, type(pageSize))
        if code == 0 and len(data1) == 0:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)


test1()
