# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_e3用户管理_角色管理_菜单展示,id2263,id2263-246,sit,on
内网:r_e3用户管理_角色管理_菜单展示
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1():
    """
     场景:r_e3用户管理_角色管理_菜单展示
     用例名称：r_e3用户管理_角色管理_菜单展示
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    # 获取角色id
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_e2用户管理_角色管理_角色列表展示.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\r_e2用户管理_角色管理_角色列表展示.air')
    from r_e2用户管理_角色管理_角色列表展示 import test1
    roleCode = test1()

    #r_e3用户管理_角色管理_菜单展示
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "sys_role_menu_all_url")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload63_2",roleCode)

    print('request_body', request_body)
    # # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultccccccccccccccc', result)
    #断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    data1 = commonFuc().analysis_json('data', data)
    if code == 0 and len(data) >= 1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)


test1()
