# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_e4用户管理_角色管理_保存角色菜单,id2263,id2263-247,sit,on
内网:r_e4用户管理_角色管理_保存角色菜单
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1():
    """
     场景:r_e4用户管理_角色管理_保存角色菜单
     用例名称：r_e4用户管理_角色管理_保存角色菜单
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    #r_e2用户管理_角色管理_角色列表展示

    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "sys_role_menu_batch_save")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # # 请求体
    request_body = commonFuc().get_business_data(module, 'payload63_3')
    # request_body=str(request_body)
    new_request_body = request_body.replace("'", '"')
    # new_request_body = new_request_body.replace("None", 'null')
    # print(new_request_body)
    import json
    request_body_json = json.loads(new_request_body)
    print('request_body_json',request_body_json)


    # print('request_body', request_body)
    # # # # # 发送请求
    result = commonFuc().http_post(url, request_body_json, headers)
    print('resultccccccccccccccc', result)
    # #断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    roleCode=""
    if code == 0 and len(data) >= 1:

        commonFuc().check_text_exist(0, result)

    else:
        commonFuc().check_text_exist('error', result)


test1()
