# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_f2用户管理_用户管理_编辑用户_禁用,id2263,id2263-255,sit,on
内网:r_f2用户管理_用户管理_编辑用户_禁用
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1(orgName='d69a68df361a4289b2262e4ef75b55a5'):
    """
     场景:r_f2用户管理_用户管理_编辑用户_禁用
     用例名称：r_f2用户管理_用户管理_编辑用户_禁用
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "sys_user_update")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # 从文件中获取信息
    info = FileUtils().r_info6(module, "用户名信息", "message3")
    print(info)
    username1 = info['username1']
    #获取userid
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_e6用户管理_用户管理_列表查询_查询全部.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\r_e6用户管理_用户管理_列表查询_查询全部.air')
    from r_e6用户管理_用户管理_列表查询_查询全部 import test1
    userid = test1(username1)
    print('userid',userid)
    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload63_10", username1,username1, orgName,userid,username1)
    print('request_body', request_body)
    # # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultaaaaaaaaaaaaaaaaaaa', result)
    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    if code == 0 and data == 1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)



test1()
