# -*- encoding=utf8 -*-
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_a1_手工采购计划_添加产品页面_列表查询_查询全部,id2297,id2297-1,sit,on
内网:a_a1_手工采购计划_添加产品页面_列表查询_查询全部 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_a1_手工采购计划_添加产品页面_列表查询_查询全部
     用例名称：a_a1_手工采购计划_添加产品页面_列表查询_查询全部
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "mcmsBranchGoodsInfo_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_add(-1)
    # print(date1,date2)
    # # 请求体
    hospitalId = commonFuc().get_business_data(module, "hospitalId")
    branchId = commonFuc().get_business_data(module, "branchId")
    request_body = commonFuc().get_business_data(module, "payload_4", hospitalId, branchId)
    # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('result', result)
    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    total = commonFuc().analysis_json('total', data)
    if code == 0 and len(data) >= 1 and total >= 0:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
    # 返回三个产品，包含低值，高值，试剂
    data1 = commonFuc().analysis_json('data', data)
    print(type(data1), data1)
    list_a = []
    list_b = []
    list_c = []
    for i in data1:
        purMode = commonFuc().analysis_json('purMode', i)
        if purMode == 10:
            list_a.append(i)
            break
    for i in data1:
        purMode = commonFuc().analysis_json('purMode', i)
        if purMode == 20:
            print()
            list_b.append(i)
            break
    for i in data1:
        purMode = commonFuc().analysis_json('purMode', i)
        if purMode == 60:
            list_c.append(i)
            break
    # print('list_a', len(list_a), list_a)
    info = (list_a, list_b, list_c)
    titlename = ('list_a', 'list_b', 'list_c')
    # 将产品信息写入到文件中
    FileUtils().w_info8(info, module, '产品信息', titlename, 'message1')


test1()
