# -*- encoding=utf8 -*-
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_b6_采购计划_列表查询_条件查询_根据采购计划号查询,id2297,id2297-16,sit,on
内网:a_b6_采购计划_列表查询_条件查询_根据采购计划号查询 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_b6_采购计划_列表查询_条件查询_根据采购计划号查询
     用例名称：a_b6_采购计划_列表查询_条件查询_根据采购计划号查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #=================================
    #获取采购计划单号
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b3_herp3_purchase\\a_b5_采购计划_列表查询_查询全部.air')
    using(pro_path + r'\\air_case\\b3_herp3_purchase\\a_b5_采购计划_列表查询_查询全部.air')
    from a_b5_采购计划_列表查询_查询全部 import test1
    result1 = test1()
    # print('result1','aaaaaaaaaaaaa',result1)
    data1= commonFuc().analysis_json('data', result1)
    orderNo = commonFuc().analysis_json('orderNo', data1[0])
    #=================================
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_purPlan_listVoPage_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_add(-1)
    # print(date1,date2)
    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload17",orderNo)
    # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('result', result)
    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    total = commonFuc().analysis_json('total', data)
    if code == 0 and len(data) >= 1 and total == 1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)


test1()
