# -*- encoding=utf8 -*-
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_h4_采购计划明细_列表查询_模糊查询_根据进院供应商,id2297,id2297-74,sit,on
内网:a_h4_采购计划明细_列表查询_模糊查询_根据进院供应商 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


module = "b3_herp3_purchase"
targetOrgId1=commonFuc().get_business_data(module,'targetOrgId')
targetAreaId1=commonFuc().get_business_data(module,'targetAreaId')
def test1(targetOrgId=targetOrgId1,targetAreaId=targetAreaId1):
    module = "b3_herp3_purchase"
    """
     场景:a_h4_采购计划明细_列表查询_模糊查询_根据进院供应商
     用例名称：a_h4_采购计划明细_列表查询_模糊查询_根据进院供应商
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_report_progress_page_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # #获取日期
    date1 = timeUtils().get_time_add(1)
    date2 = timeUtils().get_time_add(-30)
    # print(date1,date2)
    # #调用查询采购计划列表，写入采购计划id和订单号到文件中，更新文件内容
    # pro_path = commonFuc().get_pro_path()
    # sys.path.append(pro_path + r'\\air_case\\b3_herp3_purchase\\a_c1_采购计划审核_列表查询_全部查询.air')
    # using(pro_path + r'\\air_case\\b3_herp3_purchase\\a_c1_采购计划审核_列表查询_全部查询.air')
    # from a_c1_采购计划审核_列表查询_全部查询 import test1
    # test1()

    # 从文件中获取院区id
    branchId = commonFuc().get_business_data(module, 'branchId')
    # 从文件中获取产品名称
    info = FileUtils().r_info8(module, "采购单信息", 'message3')
    print('info', info)
    list_a = info['list_a']
    print('list_a', list_a)
    goodsCode = 'goodsCode'
    purPlanNo='purPlanNo'
    purNo='purNo'
    provName='provName'
    for i in list_a:
        goodsCode = i['goodsCode']
        purPlanNo = i['purPlanNo']
        purNo=i['purNo']
        provName=i['provName']
        break
    list2=commonFuc().get_str(provName)
    for i  in list2:
        # a_g4_采购计划明细_列表查询_精确查询_根据进院供应商
        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload20_9", goodsCode,purPlanNo, purNo,branchId, targetOrgId,targetAreaId,i,date2, date1)
        print('request_body', request_body)
        # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('result', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', data)
        if code == 0 and total >= 1:
            commonFuc().check_text_exist(0, result)

        else:
            commonFuc().check_text_exist('error', result)


test1()
