# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.dateUtils import dateUtils

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_a9流程六_中心库入库结算_负结算,id2303,id2303-9,sit,on
主数据平台:a_a9流程六_中心库入库结算_负结算
python runner_test.py tag id2303-9 debug mdm3
"""
def check_mcms_out_un_balance(type=1):
    print('===检查待结算数据，如果没有数据，说明结算点功能有问题====')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_un_balance  where branch_id='%s' and from_kind='CK_TH' and hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, hos_goods_id)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_out_un_balance where branch_id='%s' and from_kind='CK_TH' and hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, hos_goods_id)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    sub_prov_id = prov_id
    settle_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    distr_detail_id = get_id("select distr_detail_id from mcms_out_un_balance where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_un_balance where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = commonFuc().analysis_json('id', list_a)
    bar_code = commonFuc().analysis_json('pkgCodeSee', list_a)
    from_id = get_id(
        "select id from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (hos_goods_id))
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            hos_goods_id))
    account_date = get_account_date1("select account_date from mcms_out_un_balance where id='%s';" % id)
    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_un_balance where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_un_balance where id='%s';" % id)
    last_modified_user = create_user
    goods_code = get_goods_code1(hos_goods_id)
    charge_dept_id = settle_dept_id
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_un_balance_0918', id,
                                             hos_id, branch_id, prov_id, sub_prov_id, settle_dept_id, distr_detail_id,
                                             hos_batch_id
                                             , bar_id, bar_code, from_id, from_order_no, account_date, account_user_id,
                                             hos_goods_id, goods_code, create_user, create_time, last_modified,
                                             last_modified_user, charge_dept_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_out_balance(type=1, OBh_ID=""):
    print('===检查结算数据======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance  where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_out_balance where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id)
    id = get_id(sql)
    if id == OBh_ID:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')

    order_no = get_id(
        "select order_no from  mcms_out_balance where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id))
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_un_balance where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_un_balance where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = commonFuc().analysis_json('id', list_a)
    bar_code = commonFuc().analysis_json('pkgCodeSee', list_a)
    from_id = get_id(
        "select id from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (hos_goods_id))
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            hos_goods_id))
    settle_start_time = get_account_date1("select settle_start_time from mcms_out_balance where id='%s';" % id)
    settle_end_time = get_account_date1("select settle_end_time from mcms_out_balance where id='%s';" % id)
    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance where id='%s';" % id)
    last_modified_user = create_user
    goods_code = get_goods_code1(hos_goods_id)
    charge_dept_id = settle_dept_id
    settle_month = get_id("select settle_month from mcms_out_balance where id='%s';" % id)
    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    year_month = str(year) + str(month)
    if year_month == settle_month:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_0918', id,
                                             order_no, branch_id, hos_id, prov_id, prov_name, settle_month,
                                             settle_start_time, settle_end_time, create_user, create_time,
                                             last_modified, last_modified_user
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

    # 检查结算表子表数据
    check_mcms_out_balance_detail(type, id)
    check_mcms_out_balance_detail2(type, id)


def check_mcms_out_balance_detail(type=1, pid=""):
    print('===检查结算数据子表======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance_detail  where pid='%s' order by id LIMIT 1;;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1;" % (
        pid)
    id = get_id(sql)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    id2 = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = commonFuc().analysis_json('id', list_a)
    bar_code = commonFuc().analysis_json('pkgCodeSee', list_a)
    from_id = get_id(
        "select id from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (hos_goods_id))
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            hos_goods_id))

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance_detail where id='%s';" % id)
    last_modified_user = create_user
    # goods_code = get_goods_code1(hos_goods_id)
    # charge_dept_id = settle_dept_id
    # settle_month = get_id("select settle_month from mcms_out_balance where id='%s';" % id)
    # year, month = dateUtils().get_year_month(dateUtils().get_current_time())

    out_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    out_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    sub_prov_name = prov_name
    account_date = get_account_date1("select account_date from mcms_out_balance_detail where id='%s';" % id)
    un_settle_id = get_id(
        "select id from mcms_out_un_balance where branch_id='%s' and from_kind='CK_TH' and hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, hos_goods_id))
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_detail_0918_1', id,
                                             pid, prov_id, prov_name, sub_prov_id, sub_prov_name, out_dept_id,
                                             out_dept_name, account_date, from_id, from_order_no, hos_goods_id, bar_id,
                                             bar_code, distr_detail_id, hos_batch_id, un_settle_id, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_out_balance_detail2(type=1, pid=""):
    print('===检查结算数据子表======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance_detail  where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    # sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1;" % (
    #     pid)
    # id = get_id(sql)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = get_id("select bar_id from mcms_out_balance_detail where id='%s';" % (id))
    bar_code = get_id("select bar_code from mcms_out_balance_detail where id='%s';" % (id))
    from_id = get_id(
        "select from_id from mcms_out_balance_detail where id='%s';" % (id))
    if check_batch_id(from_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where id='%s';" % (from_id))

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance_detail where id='%s';" % id)
    last_modified_user = create_user

    out_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    out_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    sub_prov_name = prov_name
    account_date = get_account_date1("select account_date from mcms_out_balance_detail where id='%s';" % id)
    un_settle_id = get_id(
        "select un_settle_id from  mcms_out_balance_detail where id='%s';" % id)
    if check_un_balance_id(un_settle_id):
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_detail_0918_2', id,
                                             pid, prov_id, prov_name, sub_prov_id, sub_prov_name, out_dept_id,
                                             out_dept_name, account_date, from_id, from_order_no, hos_goods_id, bar_id,
                                             bar_code, distr_detail_id, hos_batch_id, un_settle_id, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_out_balance_approve_after(type=1, OBh_ID=""):
    print('===检查结算数据======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance  where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_out_balance where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id)
    id = get_id(sql)
    if id == OBh_ID:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')

    order_no = get_id(
        "select order_no from  mcms_out_balance where branch_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id))
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_un_balance where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_un_balance where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = commonFuc().analysis_json('id', list_a)
    bar_code = commonFuc().analysis_json('pkgCodeSee', list_a)
    from_id = get_id(
        "select id from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (hos_goods_id))
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            hos_goods_id))
    settle_start_time = get_account_date1("select settle_start_time from mcms_out_balance where id='%s';" % id)
    settle_end_time = get_account_date1("select settle_end_time from mcms_out_balance where id='%s';" % id)
    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance where id='%s';" % id)
    last_modified_user = create_user
    goods_code = get_goods_code1(hos_goods_id)
    charge_dept_id = settle_dept_id
    settle_month = get_id("select settle_month from mcms_out_balance where id='%s';" % id)
    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    year_month = str(year) + str(month)
    if year_month == settle_month:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    check_user = create_user
    check_time = get_create_time("select check_time from  mcms_out_balance where id='%s';" % id)
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_0919', id,
                                             order_no, branch_id, hos_id, prov_id, prov_name, settle_month,
                                             settle_start_time, settle_end_time, create_user, create_time,
                                             last_modified, last_modified_user, check_user, check_time
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

    # 检查结算表子表数据
    check_mcms_out_balance_detail_approve_after(type, id)
    check_mcms_out_balance_detail_approve_after2(type, id)


def check_mcms_out_balance_detail_approve_after(type=1, pid=""):
    print('===检查结算数据子表======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance_detail  where pid='%s' order by id LIMIT 1;;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1;" % (
        pid)
    id = get_id(sql)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    id2 = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = commonFuc().analysis_json('id', list_a)
    bar_code = commonFuc().analysis_json('pkgCodeSee', list_a)
    from_id = get_id(
        "select id from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (hos_goods_id))
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            hos_goods_id))

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance_detail where id='%s';" % id)
    last_modified_user = create_user
    # goods_code = get_goods_code1(hos_goods_id)
    # charge_dept_id = settle_dept_id
    # settle_month = get_id("select settle_month from mcms_out_balance where id='%s';" % id)
    # year, month = dateUtils().get_year_month(dateUtils().get_current_time())

    out_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    out_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    sub_prov_name = prov_name
    account_date = get_account_date1("select account_date from mcms_out_balance_detail where id='%s';" % id)
    un_settle_id = get_id(
        "select id from mcms_out_un_balance where branch_id='%s' and from_kind='CK_TH' and hos_goods_id='%s' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, hos_goods_id))
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_detail_0919_1', id,
                                             pid, prov_id, prov_name, sub_prov_id, sub_prov_name, out_dept_id,
                                             out_dept_name, account_date, from_id, from_order_no, hos_goods_id, bar_id,
                                             bar_code, distr_detail_id, hos_batch_id, un_settle_id, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_out_balance_detail_approve_after2(type=1, pid=""):
    print('===检查结算数据子表======')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_out_balance_detail  where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    # sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1;" % (
    #     pid)
    # id = get_id(sql)
    sql = "select id from  mcms_out_balance_detail where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    # 从文件中获取条码信息
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "条码信息", 'message18')
    list_a = info['list_a']
    bar_id = get_id("select bar_id from mcms_out_balance_detail where id='%s';" % (id))
    bar_code = get_id("select bar_code from mcms_out_balance_detail where id='%s';" % (id))
    from_id = get_id(
        "select from_id from mcms_out_balance_detail where id='%s';" % (id))
    if check_batch_id(from_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    from_order_no = get_id(
        "select order_no from mcms_psi_batch where id='%s';" % (from_id))

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_out_balance_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_out_balance_detail where id='%s';" % id)
    last_modified_user = create_user

    out_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    out_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    sub_prov_name = prov_name
    account_date = get_account_date1("select account_date from mcms_out_balance_detail where id='%s';" % id)
    un_settle_id = get_id(
        "select un_settle_id from  mcms_out_balance_detail where id='%s';" % id)
    if check_un_balance_id(un_settle_id):
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_out_balance_detail_0919_2', id,
                                             pid, prov_id, prov_name, sub_prov_id, sub_prov_name, out_dept_id,
                                             out_dept_name, account_date, from_id, from_order_no, hos_goods_id, bar_id,
                                             bar_code, distr_detail_id, hos_batch_id, un_settle_id, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_invoice():
    print('检查发票数据')
    prov_id = get_prov_id()
    # if type == 1:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    # elif type == 2:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    # else:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]

    sql = "select * from  mcms_invoice where prov_id='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        prov_id)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_invoice where prov_id='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        prov_id)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_name = get_prov_name()

    create_user = get_login_user_uxid_bydb(
        FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username'])
    # create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_invoice where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_invoice where id='%s';" % id)
    last_modified_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])

    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    year_month = str(year) + str(month)
    settle_months = year_month
    invoice_date = get_account_date1("select invoice_date from mcms_invoice where id='%s';" % id)
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_invoice_0924', id,
                                             hos_id, prov_id, prov_name, invoice_date, settle_months, create_user,
                                             create_time, last_modified, last_modified_user
                                             )

    # 对比预期值和实际值是否一致z
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
    # 检查发票子表数据
    check_mcms_invoice_detail(1, id)
    # check_mcms_invoice_detail2(1, id)


def check_mcms_invoice_detail(type=1, pid=""):
    print('检查发票子表数据')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_invoice_detail  where pid='%s' order by id LIMIT 1;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_invoice_detail where pid='%s' order by id LIMIT 1;" % (
        pid)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = get_login_user_uxid_bydb(
        FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username'])
    create_time = get_create_time("select create_time from  mcms_invoice_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_invoice_detail where id='%s';" % id)
    last_modified_user = create_user

    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    settle_month = str(year) + str(month)
    hobd_id = get_id("select id from mcms_out_balance_detail  where prov_id='%s' order by id desc LIMIT 1 OFFSET 1;" % (
        prov_id))
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_invoice_detail_0919_1', id,
                                             pid, hobd_id, branch_id, hos_goods_id, settle_month, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_invoice_detail2(type=1, pid=""):
    print('检查发票子表数据')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_invoice_detail  where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_invoice_detail where pid='%s' order by id LIMIT 1 OFFSET 1;" % (
        pid)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()
    prov_name = get_prov_name()
    sub_prov_id = prov_id
    settle_dept_id = None
    distr_detail_id = get_id("select distr_detail_id from mcms_out_balance_detail where id='%s';" % id)
    if check_distr_detail_id(distr_detail_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')
    hos_batch_id = get_id("select hos_batch_id from mcms_out_balance_detail where id='%s';" % id)
    if check_batch_id(hos_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('success', 'success')
    else:
        commonFuc().check_text_exist_result_text('error', 'success')

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = get_login_user_uxid_bydb(
        FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username'])
    create_time = get_create_time("select create_time from  mcms_invoice_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_invoice_detail where id='%s';" % id)
    last_modified_user = create_user

    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    settle_month = str(year) + str(month)
    hobd_id = get_id("select id from mcms_out_balance_detail  where prov_id='%s' order by id desc LIMIT 1;" % (
        prov_id))
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_invoice_detail_0919_2', id,
                                             pid, hobd_id, branch_id, hos_goods_id, settle_month, create_user,
                                             create_time, last_modified, last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_invoice_ext():
    print('检查付款单数据')
    prov_id = get_prov_id()
    # if type == 1:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    # elif type == 2:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    # else:
    #     hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]

    sql = "select * from  mcms_invoice_ext where prov_id='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        prov_id)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_invoice_ext where prov_id='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        prov_id)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_name = get_prov_name()

    create_user = get_login_user_uxid_bydb(
        FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username'])
    # create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_invoice_ext where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_invoice_ext where id='%s';" % id)
    last_modified_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = last_modified_user
    year, month = dateUtils().get_year_month(dateUtils().get_current_time())
    if month < 10:
        month = "0" + str(month)
    year_month = str(year) + str(month)
    settle_months = year_month
    pay_date = get_account_date1("select pay_date from mcms_invoice_ext where id='%s';" % id)
    pay_user = create_user
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_invoice_ext_0924', id,
                                             hos_id, prov_id, prov_name, pay_date, create_user,
                                             create_time, last_modified, last_modified_user, pay_user
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
    # 检查子表数据
    check_mcms_invoice_ext_detail(1, id)


def check_mcms_invoice_ext_detail(type=1, pid=""):
    print('检查付款单子表数据')
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    branch_id = get_branch_id()
    sql = "select * from mcms_invoice_ext_detail  where pid='%s';" % (
        pid)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_invoice_ext_detail where pid='%s';" % (
        pid)
    id = get_id(sql)
    hos_id = get_hosid()
    prov_id = get_prov_id()

    account_user_id = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_user = account_user_id
    create_time = get_create_time("select create_time from  mcms_invoice_ext_detail where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_invoice_ext_detail where id='%s';" % id)
    last_modified_user = create_user

    invoice_id = get_id("select id from   mcms_invoice where prov_id='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        prov_id))
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_invoice_ext_detail_0919_1', id,
                                             pid, invoice_id, create_user, create_time, last_modified,
                                             last_modified_user, hos_id
                                             )

    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')




pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_a9流程六_中心库入库结算_负结算.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_a9流程六_中心库入库结算_负结算.air')
from a_a9流程六_中心库入库结算_负结算 import center_warehouse_return
try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage(1))  # 设置登录账号默认权限是1级库
    # test1() # 提交采购计划   # 外网配送   # 内网验收入库结算
    # 先查询所有的部门信息写入文件
    dept_query_all()
    # 设置库房人员，根据传入的科室id和科室名称来设置库房
    # 中心库type=1 二级type=2三级type=3
    set_dept_user(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2'],FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2'],2)
    set_dept_user(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid3'],FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid3'],3)
    # updateUserLoginDefaultRange(get_listUserMgrRangePage(1))  #设置登录账号默认权限是中心库
    center_warehouse_return()#中心库退货
    # center_warehouse_return()#中心库退货
    OBh_ID=settle()  # 生成结算单
    print(OBh_ID)
    time.sleep(6)
    check_mcms_out_balance(1, OBh_ID)  # 检查审批前的结算数据
    # 调用审批结算单
    approval_center(OBh_ID)
    time.sleep(6)
    check_mcms_out_balance_approve_after(1, OBh_ID)  # 检查审批后的结算数据
    time.sleep(3)
    invoice(2,OBh_ID)#type=2 传递结算单号，外网查询开票
    time.sleep(3)
    # 检查发票数据
    check_mcms_invoice()
    time.sleep(3)
    # 检查付款单数据
    check_mcms_invoice_ext()
    commonFuc().check_text_exist_result_text('succees', 'succees')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', 'succees')