# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_tools import check_mcms_dept_buy_sql, get_PICK_id, get_buyBillId, get_PICK_order_no, \
    get_buyOrderNo, get_login_user_uxid_bydb, get_create_time, get_account_date, get_pick_detail_id, \
    get_mdm_goods_code1, get_goods_code1, get_pkg_def_id, check_batch_id, check_barcode_id

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_b7流程十四退库业务_消耗退库,id2303,id2303-17,sit,on
核心业务流:a_b7流程十四退库业务_消耗退库
python runner_test.py tag id2303-17 debug mdm3
"""


def check_mcms_psi_dept_in(type=10):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
    branch_id, type)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    info = FileUtils().r_info8('b5_spd3_core_business_flow', "拣货单id", 'message28')
    if type == 16:
        source_id = info['DR_NO2']
    elif type == 20:
        source_id = info['DR_NO3']
    else:
        source_id = info['DR_NO1']
    source_id = ''.join(source_id)
    source_no=get_id("select order_no from  mcms_psi_dept where id='%s';"%source_id)
    #获取入库单主键DR_ID
    sql = " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type)
    DR_ID = get_id(sql)
    #获取order_no
    sql = " select order_no from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type)
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_id = get_stockId_fromdb(target_dept_name + '库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 2)
    PICK_id = get_PICK_id(branch_id, type)

    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type)
    pickOrderNo = get_PICK_order_no(branch_id, type)
    buyOrderNo = get_buyOrderNo(branch_id, type)
    pickBillId = get_PICK_id(branch_id, type)
    psiDeptOutBillId = source_id
    psiDeptOutOrderNo = source_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified_user = create_user
    accounter=create_user
    sql="select account_date from  mcms_psi_dept where id='%s';"%DR_ID
    account_date=get_account_date(sql)
    psiDeptInBillId=DR_ID
    psiDeptInOrderNo=order_no
    if type == 16:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID,type,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_in_1', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter,account_date,buyBillId, pickOrderNo, buyOrderNo, pickBillId, psiDeptOutBillId,
                                                 psiDeptOutOrderNo,psiDeptInBillId,psiDeptInOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    elif type == 20:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID, type, order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_in_2', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter,account_date,buyBillId, pickOrderNo, buyOrderNo, pickBillId, psiDeptOutBillId,
                                                 psiDeptOutOrderNo,psiDeptInBillId,psiDeptInOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    else:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID, type, order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_in_3', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter,account_date,buyBillId, pickOrderNo, buyOrderNo, pickBillId, psiDeptOutBillId,
                                                 psiDeptOutOrderNo,psiDeptInBillId,psiDeptInOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
def check_mcms_psi_dept_batch_in(DR_ID1,DR_ID,type):
    branch_id = get_branch_id()
    if type==67:
        sql = "select * from  mcms_psi_dept_batch where pid='%s' order by create_time desc LIMIT 1;" % (
            DR_ID1)
        count=process_tuple(get_id("select count(*) from  mcms_psi_dept_batch where pid='%s'"%DR_ID1))
        if count=='100':
            print('ok')
            commonFuc().check_text_exist_result_text('SUCCESS', 'SUCCESS')
        else:
            commonFuc().check_text_exist_result_text('error', 'SUCCESS')
    else:
        sql = "select * from  mcms_psi_dept_batch where pid='%s';" % (
            DR_ID1)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_dept_batch where pid='%s';" % DR_ID1)
    pid = DR_ID1
    order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID1)

    if type == 16 or type==10:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id=get_id("select source_batch_id from mcms_psi_dept_batch where pid='%s';" % DR_ID1)
    target_batch_id=source_batch_id
    if check_batch_id(source_batch_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id=get_id("select barcode_id from mcms_psi_dept_batch where pid='%s';" % DR_ID1)
    if check_barcode_id(barcode_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code= get_stockAreaId_new_fromDb(dept_name, 2)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept_batch where pid='%s';" % DR_ID1)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept_batch where pid='%s';" % DR_ID1)
    last_modified_user = create_user
    if type == 16 or type==10:
        # source_detail_id = get_pick_detail_id(branch_id, 16)
        source_detail_id=DR_ID+"0001"
        pick_detail_id=None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_in7', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    elif type == 20:
        source_detail_id = DR_ID + "0001"
        pick_detail_id = None
        last_modified_user=None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_in8', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    else:
        source_detail_id = DR_ID + "0001"
        pick_detail_id = None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_in9',batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')



def check_mcms_psi_dept_batch_xhck(DR_ID,type,order_no):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = get_pick_detail_id(branch_id,type)
    pick_detail_id=source_detail_id

    if type == 16 or type==10:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id=get_id("select source_batch_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    target_batch_id=source_batch_id
    if check_batch_id(source_batch_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id=get_id("select barcode_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code= get_stockAreaId_new_fromDb(dept_name, 2)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified_user = create_user
    if type == 16 or type==10:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhck1', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhck2', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    else:
        mdm_goods_code=None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhck3',batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

def check_mcms_psi_dept_batch_xhrk(DR_ID,source_ID,type,order_no):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = source_ID+'0001'
    pick_detail_id=None

    if type==10:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id=get_id("select source_batch_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    target_batch_id=source_batch_id
    if check_batch_id(source_batch_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id=get_id("select barcode_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code= get_stockAreaId_new_fromDb(dept_name, 2)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified_user = None
    if type == 16 or type==10:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhrk1', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    elif type == 67:
        mdm_goods_code=None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhrk2', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch_xhck3',batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

def check_mcms_psi_dept_batch(DR_ID,type,order_no):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = get_pick_detail_id(branch_id,type)
    pick_detail_id=source_detail_id

    if type == 16:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id=get_id("select source_batch_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    target_batch_id=source_batch_id
    if check_batch_id(source_batch_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id=get_id("select barcode_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id)==True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name=FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code= get_stockAreaId_new_fromDb(dept_name, 2)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified_user = create_user
    if type == 16:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch1', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch2', batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch3_1',batch_main_key, pid, order_no,source_detail_id
                                            ,pick_detail_id,hos_goods_id,mdm_goods_code,goods_code,source_batch_id,
                                            target_batch_id,barcode_id,shelf_code,create_user,create_time,last_modified,
                                            last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
def check_mcms_psi_dept_out_and_in(type1=16,type2=10):
    branch_id = get_branch_id()
    if type1==20:
        sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type1)
    else:
        sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
    branch_id, type1)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    if type1==20:
        DR_ID=get_id(" select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type1))
    else:
        DR_ID = get_id(
            " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
                branch_id, type1))
    sql = "select order_no from mcms_psi_dept where id='%s';" % DR_ID
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_id = get_stockId_fromdb(target_dept_name + '库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 2)
    PICK_id = get_PICK_id(branch_id, type1)
    source_id = PICK_id
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type1)
    pickOrderNo = get_PICK_order_no(branch_id, type1)
    buyOrderNo = get_buyOrderNo(branch_id, type1)
    pickBillId = get_PICK_id(branch_id, type1)
    psiDeptOutBillId = DR_ID
    psiDeptOutOrderNo = order_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified_user = create_user
    accounter=create_user
    account_date = process_tuple(get_create_time("select account_date from  mcms_psi_dept where id='%s';" % DR_ID))
    if type1 == 16:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID,type1,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept4', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    elif type1 == 20:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID,type1,order_no)
        his_charge_no=get_id(" select his_charge_no from his_order where branch_id='%s' and psi_dept_id='%s' order by create_time desc LIMIT 1;"%(branch_id,DR_ID))
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept5', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,his_charge_no,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user)
    else:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID,type1,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept6', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
    #检查拆包后生成的入库单============================================================

    branch_id = get_branch_id()
    if type1==20:
        sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type2)
    else:
        sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type2)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    if type1==20:
        DR_ID1 = get_id(
            " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
                branch_id, type2))
    else:
        DR_ID1 = get_id(
            " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_CB' order by   CREATE_TIME desc LIMIT 1;" % (
                branch_id, type2))
    sql = "select order_no from mcms_psi_dept where id='%s';" % DR_ID1
    order_no1 = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_id = get_stockId_fromdb(target_dept_name + '库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 2)
    PICK_id = get_PICK_id(branch_id, type1)
    source_id = DR_ID
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type1)
    pickOrderNo = get_PICK_order_no(branch_id, type1)
    buyOrderNo = get_buyOrderNo(branch_id, type1)
    pickBillId = get_PICK_id(branch_id, type1)
    psiDeptOutBillId = DR_ID
    psiDeptOutOrderNo = order_no
    psiDeptInBillId=DR_ID1
    psiDeptInOrderNo=order_no1
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID1)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID1)
    last_modified_user = create_user
    accounter = create_user
    source_no=order_no
    last_auditor=create_user
    last_audit_time= get_create_time("select last_audit_time from  mcms_psi_dept where id='%s';" % DR_ID1)
    account_date = process_tuple(get_create_time("select account_date from  mcms_psi_dept where id='%s';" % DR_ID1))
    if type2 == 10:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID1, DR_ID,type2)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept7', DR_ID1, order_no1, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , psiDeptInBillId,psiDeptInOrderNo,create_user, create_time, last_modified, last_modified_user,
                                                 last_auditor,last_audit_time


                                                 )
    elif type2 == 20:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID1, DR_ID, type2)
        his_charge_no = get_id(
            " select his_charge_no from his_order where branch_id='%s'order by create_time desc LIMIT 1;" % branch_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept8',  DR_ID1, order_no1, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id,
                                                 his_charge_no,accounter, account_date,
                                                 create_user, create_time, last_modified, last_modified_user
                                                 )
    else:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID1, DR_ID, type2)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept9', DR_ID1, order_no1, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , psiDeptInBillId,psiDeptInOrderNo,create_user, create_time, last_modified, last_modified_user,
                                                 last_auditor,last_audit_time)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

def check_mcms_psi_dept_XH_CK(type1=10,type2=16):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type1)

    actual = check_mcms_dept_buy_sql(sql)
    print(actual)

    DR_ID=get_id(" select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
    branch_id, type1))
    sql = "select order_no from mcms_psi_dept where id='%s';" % DR_ID
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_id = get_stockId_fromdb(target_dept_name + '库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 2)
    PICK_id = get_PICK_id(branch_id, type1)
    source_id = PICK_id
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type1)
    pickOrderNo = get_PICK_order_no(branch_id, type1)
    buyOrderNo = get_buyOrderNo(branch_id, type1)
    pickBillId = get_PICK_id(branch_id, type1)
    psiDeptOutBillId = DR_ID
    psiDeptOutOrderNo = order_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified_user = create_user
    accounter=create_user
    account_date = process_tuple(get_create_time("select account_date from  mcms_psi_dept where id='%s';" % DR_ID))
    if type1 == 10:
        # 子表检查
        check_mcms_psi_dept_batch_xhck(DR_ID,type1,order_no)
        his_charge_no=get_id(" select his_charge_no from his_order where branch_id='%s' and psi_dept_id='%s' order by create_time desc LIMIT 1;"%(branch_id,DR_ID))
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_out_xhck1', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,his_charge_no,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    elif type1 == 67:
        # 子表检查
        check_mcms_psi_dept_batch_xhck(DR_ID,type1,order_no)
        his_charge_no=get_id(" select his_charge_no from his_order where branch_id='%s' and psi_dept_id='%s' order by create_time desc LIMIT 1;"%(branch_id,DR_ID))
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_out_xhck2',  DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,his_charge_no,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user
                                                 )
    else:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID,type1,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept6', DR_ID, order_no, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,accounter,account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
    #消耗反入库============================================================

    branch_id = get_branch_id()

    sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type2)

    actual = check_mcms_dept_buy_sql(sql)
    print(actual)

    DR_ID1 = get_id(
        " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_XH' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type2))

    sql = "select order_no from mcms_psi_dept where id='%s';" % DR_ID1
    order_no1 = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    target_stock_id = get_stockId_fromdb(target_dept_name + '库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 2)
    PICK_id = get_PICK_id(branch_id, type1)
    source_id = DR_ID
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type1)
    pickOrderNo = get_PICK_order_no(branch_id, type1)
    buyOrderNo = get_buyOrderNo(branch_id, type1)
    pickBillId = get_PICK_id(branch_id, type1)
    psiDeptOutBillId = DR_ID
    psiDeptOutOrderNo = order_no
    psiDeptInBillId=DR_ID1
    psiDeptInOrderNo=order_no1
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID1)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID1)
    last_modified_user = create_user
    accounter = create_user
    source_no=order_no
    last_auditor=create_user
    last_audit_time= get_create_time("select last_audit_time from  mcms_psi_dept where id='%s';" % DR_ID1)
    account_date = process_tuple(get_create_time("select account_date from  mcms_psi_dept where id='%s';" % DR_ID1))
    if type2 == 10:
        # 子表检查
        check_mcms_psi_dept_batch_xhrk(DR_ID1,source_id,type2,order_no1)
        source_id="-"
        source_area_code=None
        his_charge_no=get_id("select his_charge_no from his_order where branch_id='%s' and psi_dept_id='%s' order by create_time desc LIMIT 1;"%(branch_id,DR_ID1))
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_out_xhrk1', DR_ID1, order_no1, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,his_charge_no,accounter,account_date,
                                                 create_user, create_time, last_modified, last_modified_user



                                                 )
    elif type2 == 67:
        check_mcms_psi_dept_batch_xhrk(DR_ID1, source_id, type2, order_no1)
        source_id = "-"
        source_area_code = None
        his_charge_no = get_id(
            "select his_charge_no from his_order where branch_id='%s' and psi_dept_id='%s' order by create_time desc LIMIT 1;" % (
            branch_id, DR_ID1))
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_out_xhrk2', DR_ID1, order_no1, target_corp_id,
                                                 target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 his_charge_no, accounter, account_date,
                                                 create_user, create_time, last_modified, last_modified_user

                                                 )
    else:
        # 子表检查
        check_mcms_psi_dept_batch_in(DR_ID1, DR_ID, type2)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept9', DR_ID1, order_no1, target_corp_id, target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id,source_no, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , psiDeptInBillId,psiDeptInOrderNo,create_user, create_time, last_modified, last_modified_user,
                                                 last_auditor,last_audit_time)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')

#========================================================
pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_b7流程十四退库业务_消耗退库.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_b7流程十四退库业务_消耗退库.air')
from a_b7流程十四退库业务_消耗退库 import sCan_grant,second_dept_consume_Out_Stock,second_dept_consume_in_Stock
try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    sCan_grant(1)  # 低值扫码发放
    time.sleep(8)
    check_mcms_psi_dept_out_and_in(16,10)#检查出库单和入库单（包括主表和子表）
    sCan_grant(3)  # 试剂扫码发放
    time.sleep(8)
    check_mcms_psi_dept_out_and_in(66,67)#检查出库单和入库单（包括主表和子表）
    second_dept_consume_Out_Stock(2)  # 高值消耗出库
    time.sleep(8)
    second_dept_consume_in_Stock(2)  # 高值消耗退货入库
    time.sleep(8)
    check_mcms_psi_dept_out_and_in(20, 20)   #检查高值消耗出库单和消耗入库单包括主表和子表）
    second_dept_consume_Out_Stock(1)  # 低值消耗出库
    time.sleep(8)
    second_dept_consume_in_Stock(1)  # 低值消耗退回入库
    time.sleep(8)
    check_mcms_psi_dept_XH_CK(10,10)#检查低值消耗出库单和消耗入库单包括主表和子表
    second_dept_consume_Out_Stock(3)  # 试剂消耗出库
    time.sleep(8)
    second_dept_consume_in_Stock(3)  # 试剂消耗退回入库
    time.sleep(8)
    check_mcms_psi_dept_XH_CK(67, 67)#检查试剂消耗出库单和消耗入库单包括主表和子表
    commonFuc().check_text_exist_result_text('SUCCESS', 'SUCCESS')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', 'SUCCESS')
