# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_tools import check_mcms_dept_buy_sql, get_PICK_id, get_buyBillId, get_PICK_order_no, \
    get_buyOrderNo, get_login_user_uxid_bydb, get_create_time, get_pick_detail_id, get_mdm_goods_code1, get_goods_code1, \
    get_pkg_def_id, check_batch_id, check_barcode_id, check_mcms_pur_plan_sql, get_distrBillId, get_planBillId, \
    get_planOrderNo, get_purOrderNo, get_purBillId, get_purBillDate2, get_distrOrderNo, get_DRID

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_b9流程十六退库业务_二级库向一级库退库,id2303,id2303-19,sit,on
核心业务流:a_b9流程十六退库业务_二级库向一级库退库
python runner_test.py tag id2303-19 debug mdm3
"""


def check_mcms_psi_dept_out(type1=16):
    branch_id = get_branch_id()

    sql = " select * from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TK' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type1)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    DR_ID = get_id(
        " select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TK' order by   CREATE_TIME desc LIMIT 1;" % (
            branch_id, type1))
    sql = "select order_no from mcms_psi_dept where id='%s';" % DR_ID
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    target_stock_id = get_stockId_fromdb(get_branch_name() + '中心库房')
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 1)
    PICK_id = get_PICK_id(branch_id, type1)
    source_id = PICK_id
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    buyBillId = get_buyBillId(branch_id, type1)
    pickOrderNo = get_PICK_order_no(branch_id, type1)
    buyOrderNo = get_buyOrderNo(branch_id, type1)
    pickBillId = get_PICK_id(branch_id, type1)
    psiDeptOutBillId = DR_ID
    psiDeptOutOrderNo = order_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept where id='%s';" % DR_ID)
    last_modified_user = create_user
    accounter = create_user
    account_date = process_tuple(get_create_time("select account_date from  mcms_psi_dept where id='%s';" % DR_ID))
    if type1 == 16:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID, type1, order_no)
        target_area_code = None
        accounter = None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_tkck1_1', DR_ID, order_no, target_corp_id,
                                                 target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    elif type1 == 20:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID, type1, order_no)
        target_area_code = None
        accounter = None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_tkck1_2', DR_ID, order_no, target_corp_id,
                                                 target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user)
    else:
        # 子表检查
        check_mcms_psi_dept_batch(DR_ID, type1, order_no)
        target_area_code = None
        accounter = None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_tkck1_3', DR_ID, order_no, target_corp_id,
                                                 target_branch_id,
                                                 target_dept_id, target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_corp_id, source_branch_id,
                                                 source_dept_id, source_dept_name, source_stock_id, source_area_code,
                                                 accounter, account_date,
                                                 pickOrderNo, pickBillId, psiDeptOutBillId, psiDeptOutOrderNo
                                                 , create_user, create_time, last_modified, last_modified_user

                                                 )
    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_psi_dept_batch(DR_ID, type, order_no):
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_dept_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = get_pick_detail_id(branch_id, type)
    pick_detail_id = source_detail_id

    if type == 16:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id = get_id("select source_batch_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    target_batch_id = source_batch_id
    if check_batch_id(source_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id = get_id("select barcode_id from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code = get_stockAreaId_new_fromDb(dept_name, 2)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_dept_batch where pid='%s';" % DR_ID)
    last_modified_user = create_user
    if type == 16:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch1', batch_main_key, pid, order_no, source_detail_id
                                                 , pick_detail_id, hos_goods_id, mdm_goods_code, goods_code,
                                                 source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified,
                                                 last_modified_user)
    elif type == 20:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch2', batch_main_key, pid, order_no, source_detail_id
                                                 , pick_detail_id, hos_goods_id, mdm_goods_code, goods_code,
                                                 source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified,
                                                 last_modified_user)
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_dept_batch3_1', batch_main_key, pid, order_no,
                                                 source_detail_id
                                                 , pick_detail_id, hos_goods_id, mdm_goods_code, goods_code,
                                                 source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified,
                                                 last_modified_user)

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_psi_in(type=1):
    print('检查中心库入库单')
    if type == 1:
        bill_mode = 16
    elif type == 2:
        bill_mode = 20
    else:
        bill_mode = 66
    branch_id = get_branch_id()
    sql = "select * from  mcms_psi  where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_TK' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_psi  where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_TK' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    id = get_id(sql)
    sql = "select order_no from  mcms_psi  where target_branch_id='%s' and bill_mode='%s' and stock_kind='RK_TK' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id = get_branch_id()
    target_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    target_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    stock_name = get_branch_name() + "中心库房"
    target_stock_id = get_stockId_fromdb(stock_name)
    target_area_code = get_stockAreaId_new_fromDb(target_dept_name, 1)
    source_id = get_DRID(branch_id, bill_mode)
    source_no = None
    source_repl_id = None
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    source_stock_id = get_stockId_fromdb(source_dept_name + '库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 2)
    accounter = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    account_date = get_create_time("select account_date from  mcms_psi where id='%s';" % id)

    buyBillId = get_buyBillId(branch_id, bill_mode)
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    pickOrderNo = get_PICK_order_no(branch_id, bill_mode)
    pickBillId = get_PICK_id(branch_id, bill_mode)
    planBillId = get_planBillId(hos_goods_id)
    psiDeptOutBillId = get_id(
        "select id from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TK'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode))
    psiDeptOutOrderNo = get_id(
        "select order_no from  mcms_psi_dept where target_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TK'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode))
    psiInBillId = id
    psiInOrderNo = order_no
    buyOrderNo = get_buyOrderNo(branch_id, bill_mode)
    purOrderNo = get_purOrderNo(branch_id, bill_mode)
    purBillId = get_purBillId(branch_id, bill_mode)
    bill_relation_json = get_purBillDate2(branch_id, bill_mode)
    purBillDate = reGetString(bill_relation_json, r'purBillDate":"', r'""distrBillId')
    distrBillId = get_distrBillId(branch_id, bill_mode)
    distrOrderNo = get_distrOrderNo(branch_id, bill_mode)
    checkBillId = source_id
    sql = "select order_no from mcms_check where id='%s';" % checkBillId
    checkOrderNo = get_id(sql)
    psiInBillId = id
    psiInOrderNo = order_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_psi where id='%s';" % id)
    last_modified_user = create_user
    if type == 1:
        # 检查子表
        check_mcms_psi_batch_in(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi1_1', id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiDeptOutBillId, psiDeptOutOrderNo, psiInBillId, psiInOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    elif type == 2:
        check_mcms_psi_batch_in(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi1_2', id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiDeptOutBillId, psiDeptOutOrderNo, psiInBillId, psiInOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    else:
        check_mcms_psi_batch_in(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi1_3', id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiDeptOutBillId, psiDeptOutOrderNo, psiInBillId, psiInOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_psi_batch_in(DR_ID, type, order_no, source_id1):
    if type == 1:
        bill_mode = 16
    elif type == 2:
        bill_mode = 20
    else:
        bill_mode = 66
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = source_id1 + '0001'
    pick_detail_id = None
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id = get_id("select source_batch_id from mcms_psi_batch where pid='%s';" % DR_ID)
    distrBillId = get_distrBillId(branch_id, bill_mode)
    target_batch_id = source_batch_id
    if check_batch_id(source_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id = get_id("select barcode_id from mcms_psi_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code = get_stockAreaId_new_fromDb(get_branch_name(), 1)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_batch where pid='%s';" % DR_ID)
    last_modified_user = None
    if type == 1:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_in1_1', batch_main_key, pid, order_no, source_detail_id
                                                 , hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )
    elif type == 2:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_in1_2', batch_main_key, pid, order_no, source_detail_id
                                                 , hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_in1_3', batch_main_key, pid, order_no, source_detail_id
                                                 , hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_b9流程十六退库业务_二级库向一级库退库.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_b9流程十六退库业务_二级库向一级库退库.air')
from a_b9流程十六退库业务_二级库向一级库退库 import second_dept_return_Out_Stock, putaway

try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))#设置登录账号默认权限是二级库
    second_dept_return_Out_Stock(2)#高值耗材退货出库
    time.sleep(6)
    check_mcms_psi_dept_out(20)#检查出库单数据库数据
    approval_center()#审批
    putaway()#中心库上架
    time.sleep(6)
    check_mcms_psi_in(2)  # 检查中心库入库单数据库数据
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    second_dept_return_Out_Stock(1)  # 低值耗材退货出库
    time.sleep(6)
    check_mcms_psi_dept_out(16)  # 检查出库单数据库数据
    approval_center()  # 审批
    putaway()  # 中心库上架
    time.sleep(6)
    check_mcms_psi_in(1)  # 检查中心库入库单数据库数据
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(2))  # 设置登录账号默认权限是二级库
    second_dept_return_Out_Stock(3)  #试剂耗材退货出库
    check_mcms_psi_dept_out(66)  # 检查出库单数据库数据
    approval_center()  # 审批
    putaway()  # 中心库上架
    time.sleep(6)
    check_mcms_psi_in(3)  # 检查中心库入库单数据库数据
    # ===============上面调通了================================
    commonFuc().check_text_exist_result_text('succees', 'succees')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', 'SUCCESS')
