# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_tools import check_mcms_pur_plan_sql, get_DRID, get_login_user_uxid_bydb, get_create_time, \
    get_buyBillId, get_PICK_order_no, get_PICK_id, get_planBillId, get_buyOrderNo, get_purOrderNo, get_purBillId, \
    get_purBillDate2, get_distrBillId, get_distrOrderNo, get_mdm_goods_code1, get_goods_code1, get_pkg_def_id, \
    check_mcms_dept_buy_sql, check_batch_id, check_barcode_id, get_pick_detail_id, get_expdt_date

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_c0流程十七退货业务 中心库退供应商,id2303,id2303-20,sit,on
核心业务流:a_c0流程十七退货业务 中心库退供应商
python runner_test.py tag id2303-20 debug mdm3
"""


def check_mcms_psi_out(type=1):
    print('检查中心库出库单')
    if type == 1:
        bill_mode = 16
    elif type == 2:
        bill_mode = 20
    else:
        bill_mode = 66
    branch_id = get_branch_id()
    sql = "select * from  mcms_psi where source_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TH'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    # 获取实际值
    actual = check_mcms_pur_plan_sql(sql)
    print('actual', actual)
    sql = "select id from  mcms_psi  where source_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TH' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    id = get_id(sql)
    sql = "select order_no from  mcms_psi  where source_branch_id='%s' and bill_mode='%s' and stock_kind='CK_TH' order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, bill_mode)
    order_no = get_id(sql)
    target_corp_id = get_hosid()
    target_branch_id =None
    target_dept_id = FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_corpId']
    target_dept_name = FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username']
    stock_name = get_branch_name() + "中心库房"
    target_stock_id =target_dept_id
    target_area_code =None
    source_id = get_PICK_id(branch_id, bill_mode)
    source_no = None
    source_repl_id = None
    source_corp_id = get_hosid()
    source_branch_id = get_branch_id()
    source_dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    source_dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    source_stock_id = get_stockId_fromdb(get_branch_name()+'中心库房')
    source_area_code = get_stockAreaId_new_fromDb(source_dept_name, 1)
    accounter = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    account_date = get_create_time("select account_date from  mcms_psi where id='%s';" % id)
    buyBillId = get_buyBillId(branch_id, bill_mode)
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    pickOrderNo = get_PICK_order_no(branch_id, bill_mode)
    pickBillId = get_PICK_id(branch_id, bill_mode)
    planBillId = get_planBillId(hos_goods_id)
    psiOutBillId = id
    psiOutOrderNo =order_no

    buyOrderNo = get_buyOrderNo(branch_id, bill_mode)
    purOrderNo = get_purOrderNo(branch_id, bill_mode)
    purBillId = get_purBillId(branch_id, bill_mode)
    bill_relation_json = get_purBillDate2(branch_id, bill_mode)
    purBillDate = reGetString(bill_relation_json, r'purBillDate":"', r'""distrBillId')
    distrBillId = get_distrBillId(branch_id, bill_mode)
    distrOrderNo = get_distrOrderNo(branch_id, bill_mode)
    checkBillId = source_id
    sql = "select order_no from mcms_check where id='%s';" % checkBillId
    checkOrderNo = get_id(sql)
    psiInBillId = id
    psiInOrderNo = order_no
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi where id='%s';" % id)
    last_modified = get_create_time("select last_modified from  mcms_psi where id='%s';" % id)
    last_modified_user = create_user
    if type == 1:
        # 检查子表
        check_mcms_psi_batch_out(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi_out_1_1', id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiOutBillId, psiOutOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    elif type == 2:
        check_mcms_psi_batch_out(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi_out_1_2', id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiOutBillId, psiOutOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    else:
        check_mcms_psi_batch_out(id, type, order_no, source_id)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check', 'check_mcms_psi_out_1_3',id,
                                                 order_no, target_corp_id, target_branch_id, target_dept_id,
                                                 target_dept_name, target_stock_id
                                                 , target_area_code, source_id, source_no, source_repl_id,
                                                 source_corp_id, source_branch_id, source_dept_id, source_dept_name
                                                 , source_stock_id, source_area_code, accounter, account_date,
                                                 pickOrderNo, pickBillId,
                                                 psiOutBillId, psiOutOrderNo,
                                                 create_user
                                                 , create_time, last_modified, last_modified_user)
    # 对比预期值和实际值是否一致
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')


def check_mcms_psi_batch_out(DR_ID, type, order_no, source_id1):
    if type == 1:
        bill_mode = 16
    elif type == 2:
        bill_mode = 20
    else:
        bill_mode = 66
    branch_id = get_branch_id()
    sql = " select * from  mcms_psi_batch where pid='%s';" % (
        DR_ID)
    actual = check_mcms_dept_buy_sql(sql)
    print('actual', actual)
    batch_main_key = get_id("select id from mcms_psi_batch where pid='%s';" % DR_ID)
    pid = DR_ID
    # order_no = get_id("select order_no from mcms_psi_dept_batch where pid='%s';" % DR_ID)
    source_detail_id = get_pick_detail_id(branch_id,bill_mode)
    pick_detail_id = source_detail_id
    if type == 1:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 2:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code = get_mdm_goods_code1(hos_goods_id)
    goods_code = get_goods_code1(hos_goods_id)
    pkg_def_id = get_pkg_def_id(hos_goods_id)
    picker_name = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker = get_login_user_uxid_bydb(picker_name)
    source_batch_id = get_id("select source_batch_id from mcms_psi_batch where pid='%s';" % DR_ID)
    distrBillId = get_distrBillId(branch_id, bill_mode)
    target_batch_id = source_batch_id
    if check_batch_id(source_batch_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    barcode_id = get_id("select barcode_id from mcms_psi_batch where pid='%s';" % DR_ID)
    if check_barcode_id(barcode_id) == True:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    shelf_code = get_stockAreaId_new_fromDb(get_branch_name(), 1)
    create_user = get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
    create_time = get_create_time("select create_time from  mcms_psi_batch where pid='%s';" % DR_ID)
    last_modified = get_create_time("select last_modified from  mcms_psi_batch where pid='%s';" % DR_ID)
    last_modified_user = create_user
    if type == 1:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_out1_1',  batch_main_key, pid, order_no, source_detail_id
                                                 , pick_detail_id,hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )
    elif type == 2:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_out1_2', batch_main_key, pid, order_no, source_detail_id
                                                 , pick_detail_id,hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_psi_batch_out1_3',  batch_main_key, pid, order_no, source_detail_id
                                                 , pick_detail_id,hos_goods_id, mdm_goods_code, goods_code, source_batch_id,
                                                 target_batch_id, barcode_id, shelf_code, create_user, create_time,
                                                 last_modified, last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
def check_mcms_pick(type=16):
    branch_id = get_branch_id()
    print('拣货单验证')
    sql = " select * from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    id = get_id(
        "select id from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type))
    order_no = get_id(
        "select order_no from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type))
    source_id = get_buyBillId(branch_id, type)
    dept_id = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid1']
    dept_name = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid1']
    stock_id = get_stockId_fromdb(get_branch_name() + '中心库房')
    area_code = get_stockAreaId_new_fromDb(dept_name, 1)
    target_dept_id = FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_corpId']
    target_dept_name = FileUtils().r_info8("b5_spd3_core_business_flow", "供货关系申请2", 'message')['e_username']
    target_stock_id = target_dept_id
    target_area_code = None
    username = FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    reviewer = get_login_user_uxid_bydb(username)
    review_date = get_expdt_date(
        "select review_date from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type))
    buyBillId = get_buyBillId(branch_id, type)
    pickOrderNo = order_no
    buyOrderNo = get_buyOrderNo(branch_id, type)
    pickBillId = id
    create_user = reviewer
    create_time = get_expdt_date(
        "select create_time from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type))
    last_modified = get_expdt_date(
        "select last_modified from  mcms_pick where branch_id='%s' and bill_mode='%s'  order by   CREATE_TIME desc LIMIT 1;" % (
        branch_id, type))
    last_modified_user=create_user
    picker = create_user
    picker_name = username
    if type == 16:
        #检查拣货单子表
        check_mcms_pick_detail(id,type,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick1_1', id, get_hosid(), get_branch_id(), order_no,
                                                 dept_id,
                                                 dept_name, stock_id, area_code, target_dept_id, target_dept_name,
                                                 target_stock_id, target_area_code, reviewer,
                                                 review_date, pickOrderNo, pickBillId,
                                                 create_user, create_time, last_modified, last_modified_user,picker, picker_name
                                                 )
    elif type == 20:
        # 检查拣货单子表
        check_mcms_pick_detail(id,type,order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick2_1', id, get_hosid(), get_branch_id(), order_no,
                                                 dept_id,
                                                 dept_name, stock_id, area_code, target_dept_id, target_dept_name,
                                                 target_stock_id, target_area_code, reviewer,
                                                 review_date, pickOrderNo, pickBillId,
                                                 create_user, create_time, last_modified, last_modified_user,picker, picker_name
                                                 )
    else:
        # 检查拣货单子表
        check_mcms_pick_detail(id, type, order_no)
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick3_1', id, get_hosid(), get_branch_id(), order_no,
                                                 dept_id,
                                                 dept_name, stock_id, area_code, target_dept_id, target_dept_name,
                                                 target_stock_id, target_area_code, reviewer,
                                                 review_date, pickOrderNo, pickBillId,
                                                 create_user, create_time, last_modified, last_modified_user,picker, picker_name
                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
def check_mcms_pick_detail(pid,type,order_no):
    branch_id = get_branch_id()
    print('拣货单子表检查')
    sql = " select * from  mcms_pick_detail where pid='%s';" % (
        pid)
    actual = check_mcms_dept_buy_sql(sql)
    print(actual)
    id=get_id("select id from  mcms_pick_detail where pid='%s';" % ( pid))
    source_id=get_buyBillId(branch_id,type)
    if type == 16:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
    elif type == 20:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message1')["hosGoodsId"]
    else:
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message3')["hosGoodsId"]
    mdm_goods_code=get_mdm_goods_code1(hos_goods_id)
    goods_code=get_goods_code1(hos_goods_id)
    pkg_def_id=get_pkg_def_id(hos_goods_id)
    picker_name=FileUtils().r_info8("b2_herp3_bs", "用户名信息", 'message3')['username1']
    picker=get_login_user_uxid_bydb(picker_name)
    create_user=picker
    create_time=get_create_time("select create_time from  mcms_pick_detail where pid='%s';" % (pid))
    last_modified=get_create_time("select last_modified from  mcms_pick_detail where pid='%s';" % (pid))
    last_modified_user=create_user
    if type == 16:

        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick_detail_out_1', id,pid,order_no,hos_goods_id
                                                 ,mdm_goods_code,goods_code,pkg_def_id,picker,picker_name,
        create_user,create_time,last_modified,last_modified_user

                                                 )
    elif type == 20:
        pkg_def_id=None
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick_detail_out_2', id,pid,order_no,hos_goods_id
                                                 ,mdm_goods_code,goods_code,pkg_def_id,picker,picker_name,
        create_user,create_time,last_modified,last_modified_user

                                                 )
    else:
        expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                 'mcms_pick_detail_out_3', id,pid,order_no,hos_goods_id
                                                 ,mdm_goods_code,goods_code,pkg_def_id,picker,picker_name,
        create_user,create_time,last_modified,last_modified_user

                                                 )

    print('expected', expected)
    print('aaaaaaaaaaaaaaaaa')
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    print(compare_text_index(actual_value2, expected_value2))
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_c0流程十七退货业务_中心库退供应商.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_c0流程十七退货业务_中心库退供应商.air')
from a_c0流程十七退货业务_中心库退供应商 import center_Stock_return_Out

try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage1(1))  #设置登录账号默认权限是1级库
    center_Stock_return_Out(2)  #高值耗材退货出库
    time.sleep(6)
    check_mcms_psi_out(2)#检查出库单主表和子表
    check_mcms_pick(20) #检查拣货单主表和子表
    center_Stock_return_Out(1)  #低值耗材退货出库
    time.sleep(6)
    check_mcms_psi_out(1)#检查出库单主表和子表
    check_mcms_pick(16)  # 检查拣货单主表和子表
    center_Stock_return_Out(3)  #试剂耗材退货出库
    time.sleep(6)
    check_mcms_psi_out(3)
    check_mcms_pick(66)  # 检查拣货单主表和子表
    commonFuc().check_text_exist_result_text('succees', 'succees')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', 'SUCCESS')
