# -*- encoding=utf8 -*-

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a5_查询院区,id2263,id2263-5,sit,on
主数据平台:a5_查询院区 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys
from common.fileUtls import FileUtils
module = "b2_herp3_bs"
def branch_select():
    """
     场景:a5_查询院区
     用例名称：a5_查询院区
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #a5_查询院区
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "page_url")
    # print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    branch_name=FileUtils().r_info(module,'院区新增')["branch_name"]
    # print(branch_name)
    #请求体
    request_body=commonFuc().get_business_data(module, "payload1",branch_name)

    # 发送请求
    result = commonFuc().http_post(url, request_body,headers)
    print('result', result)
    #断言
    code=commonFuc().analysis_json('code',result)
    commonFuc().check_text_exist(0,result)
    id1=commonFuc().analysis_json('id',commonFuc().analysis_json('data',result))
    name=commonFuc().analysis_json('name',commonFuc().analysis_json('data',result))
    commonFuc().check_text_exist(id1,result)
    commonFuc().check_text_exist(name, result)
branch_select()