# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,b5_编辑公告,id2263,id2263-15,sit,on
主数据平台:b5_编辑公告 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def modify_notices():
    """
     场景:b5_编辑公告
     用例名称：b5_编辑公告
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #b5_编辑公告
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "update_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    notices_id = FileUtils().r_info3(module, '公告新增')["notices_id"]
    notices_title = FileUtils().r_info3(module, '公告新增')["notices_name"]
    # print(notices_id,notices_title)
    expireDate=timeUtils().get_time_add(30)
    # print(expireDate)
    #请求体
    request_body=commonFuc().get_business_data(module, "payload10",notices_title,expireDate,notices_title,notices_id)
    print(request_body)
    # # 发送请求
    result = commonFuc().http_post(url, request_body,headers)
    print('result', result)
    checkDict=commonFuc().get_business_data(module,'checkDict2')
    #断言
    commonFuc().check_result(checkDict,result)
modify_notices()
