# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,c4_新增科室后查询科室ID,id2263,id2263-24,sit,on
主数据平台:c4_新增科室后查询科室ID 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"
def add_select_dept():
    """
     场景:c4_新增科室后查询科室ID
     用例名称：c4_新增科室后查询科室ID
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #c4_新增科室后查询科室ID
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "deptPage_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))


    # #请求体
    request_body=commonFuc().get_business_data(module, "payload13",branch_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    if total>=2:
        commonFuc().check_text_exist('0',result)
        data=commonFuc().analysis_json('data',commonFuc().analysis_json('data',result))
        deptid2=commonFuc().analysis_json('id',data[1])
        ename2=commonFuc().analysis_json('ename',data[1])
        print('deptid2',deptid2,ename2)
        info=(deptid2,ename2)
        titlename=('dept2_id','dept2_name')
        #将二级科室id写入文件中
        FileUtils().w_info4(info,module,'科室信息',titlename)
        #将一级科室id写入文件中
        deptid1 = commonFuc().analysis_json('id', data[0])
        ename1 = commonFuc().analysis_json('ename', data[0])
        print('deptid1', deptid1, ename1)
        info = (deptid1, ename1)
        titlename = ('dept1_id', 'dept1_name')
        # 将一级科室id写入文件中
        FileUtils().w_info8(info, module, '一级科室信息', titlename,'message4')
    else:
        commonFuc().check_text_exist('500', result)
add_select_dept()

