# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,e1_产品供应关系维护_查询产品_无产品,id2263,id2263-41,sit,on
内网:e1_产品供应关系维护_查询产品_无产品 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def select_goods():
    """
     场景:e1_产品供应关系维护_查询产品_无产品
     用例名称：e1_产品供应关系维护_查询产品_无产品
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #e1_产品供应关系维护_查询产品_无产品
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "supplyProvHosGoods_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # #请求体
    request_body=commonFuc().get_business_data(module, "payload30")
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    total=commonFuc().analysis_json('total',result)
    if total==0:
     commonFuc().check_text_exist(0,result)
    else:
     commonFuc().check_text_exist(500, result)
select_goods()
