# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,e8_一键导入产品_有中心库.air,id2263,id2263-48,sit,on
内网:e8_一键导入产品_有中心库.air 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def branch_goods_add():
    """
     场景:e8_一键导入产品_有中心库
     用例名称：e8_一键导入产品_有中心库
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null, "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #e8_一键导入产品_有中心库
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "oneKeyImportGoods_url")
    print('一键导入产品_有中心库',url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                         commonFuc().get_business_data(module, "X-APP-CODE"))
    #获取branch_id
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    # #请求体
    request_body=commonFuc().get_business_data(module, "payload37",branch_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    # #断言
    # total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    # checkDict=commonFuc().get_business_data(module,'checkDict14')
    # data=commonFuc().analysis_json('data',result)
    commonFuc().check_text_exist('spd3:cache:herp:progress:branch-goods-import',result)
branch_goods_add()
