# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,f3_院区单元包设置_新增单元包,id2263,id2263-53,sit,on
内网:f3_院区单元包设置_新增单元包 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def branch_branchGoodsPkgDef_add():
    """
     场景:f3_院区单元包设置_新增单元包
     用例名称：f3_院区单元包设置_新增单元包
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #f3_院区单元包设置_新增单元包
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "branchGoodsPkgDef_insert_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                         commonFuc().get_business_data(module, "X-APP-CODE"))
    #获取院区id
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    #获取branchGoodsId
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\f1_院区单元包设置_查询产品信息_未维护单元包.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\f1_院区单元包设置_查询产品信息_未维护单元包.air')
    from f1_院区单元包设置_查询产品信息_未维护单元包 import branch_goods_select
    branchGoodsId,hosGoodsId = branch_goods_select()
    # #请求体
    request_body=commonFuc().get_business_data(module, "payload41",branchGoodsId,branch_id,hosGoodsId)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('新增单元包_result', result)
    #断言
    checkDict=commonFuc().get_business_data(module,'checkDict10')
    commonFuc().check_result(checkDict,result)
    # total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    # if total>=0:
    #     commonFuc().check_text_exist(0, result)
    #     data=commonFuc().analysis_json('data',commonFuc().analysis_json('data',result))
    #     branchGoodsId=commonFuc().analysis_json('branchGoodsId',data)
    #     return branchGoodsId
    # else:
    #     commonFuc().check_text_exist(500, result)
    #将已经维护了的单元包的branchGoodsId和hosGoodsId写入文件
    info = (branchGoodsId, hosGoodsId)
    titlename = ('branchGoodsId', 'hosGoodsId')
    # 将单元包信息写入文件中
    FileUtils().w_info4(info, module, '单元包信息', titlename)
branch_branchGoodsPkgDef_add()
