# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,f6_院区单元包设置_编辑单元包信息,id2263,id2263-56,sit,on
内网:f6_院区单元包设置_编辑单元包信息 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"
def branch_branchGoodsPkgDef_edit():
    """
     场景:f6_院区单元包设置_编辑单元包信息
     用例名称：f6_院区单元包设置_编辑单元包信息
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": 1}
    """
    #内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token,projectCode,uxid,corpId,info= login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #f6_院区单元包设置_编辑单元包信息
    url=commonFuc().get_api_url()+commonFuc().get_business_data(module, "branchGoodsPkgDef_update_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                         commonFuc().get_business_data(module, "X-APP-CODE"))
    #获取院区id
    branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    #获取branchGoodsId
    # 获取单元包信息
    branchGoodsId = FileUtils().r_info(module, '单元包信息')["branchGoodsId"]
    hosGoodsId = FileUtils().r_info(module, '单元包信息')["hosGoodsId"]
    #获取单元包id
    pro_path = commonFuc().get_pro_path()
    sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\f4_院区单元包设置_新增后查询单元包信息.air')
    using(pro_path + r'\\air_case\\b2_herp3_bs\\f4_院区单元包设置_新增后查询单元包信息.air')
    from f4_院区单元包设置_新增后查询单元包信息 import branch_branchGoodsPkgDef_select
    unitPackageid=branch_branchGoodsPkgDef_select()
    # #请求体
    request_body=commonFuc().get_business_data(module, "payload43",unitPackageid,hosGoodsId,branchGoodsId,branch_id)
    print(request_body)
    # # # 发送请求
    result = commonFuc().http_post(url,request_body,headers)
    print('result', result)
    #断言
    checkDict=commonFuc().get_business_data(module,'checkDict10')
    commonFuc().check_result(checkDict,result)
    # total=commonFuc().analysis_json('total',commonFuc().analysis_json('data',result))
    # if total>=0:
    #     commonFuc().check_text_exist(0, result)
    #     data=commonFuc().analysis_json('data',commonFuc().analysis_json('data',result))
    #     branchGoodsId=commonFuc().analysis_json('branchGoodsId',data)
    #     return branchGoodsId
    # else:
    #     commonFuc().check_text_exist(500, result)
branch_branchGoodsPkgDef_edit()
