# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,o6科室管理_科室产品分配_添加科室产品页面_条件查询,id2263,id2263-172,sit,on
内网:o6科室管理_科室产品分配_添加科室产品页面_条件查询
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1():
    """
     场景:o6科室管理_科室产品分配_添加科室产品页面_条件查询
        新科室查询，按条件查询
     用例名称：o6科室管理_科室产品分配_添加科室产品页面_条件查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": []}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    # pro_path = commonFuc().get_pro_path()
    # sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # using(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # from n7运维管理_消息通知模板_消息类型_获取消息模板ID import test1
    # id1= test1()
    # print(id1)
    # o5科室管理_科室产品分配_添加科室产品页面_查询全部
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_mcmsGoodsInfo_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    # str = commonFuc().get_business_data(module, 'data3')
    # list2 = list(str.split(","))
    # print(list2)
    # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_hms(2)
    # for i in list2:

    dept2_id = FileUtils().r_info(module, '科室信息')["dept2_id"]
    # 请求体
    # 低值
    request_body = commonFuc().get_business_data(module, "payload58_3", dept2_id)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    # 断言
    # checkDict=commonFuc().get_business_data(module,'checkDict10')
    # commonFuc().check_result(checkDict,result)
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    total = commonFuc().analysis_json('total', data)
    data = commonFuc().analysis_json('data', data)
    goodsName = commonFuc().analysis_json('goodsName', data)
    # print(pageSize)
    if code == 0 and total == 1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
    #高值
    request_body = commonFuc().get_business_data(module, "payload58_4", dept2_id)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    # 断言
    # checkDict=commonFuc().get_business_data(module,'checkDict10')
    # commonFuc().check_result(checkDict,result)
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    total = commonFuc().analysis_json('total', data)
    data = commonFuc().analysis_json('data', data)
    goodsName = commonFuc().analysis_json('goodsName', data)
    print('goodsName',goodsName)
    if code == 0 and total >= 1 :
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
    #检验试剂(2024.3.14因产品数据问题，添加页面查不出试剂)
    # request_body = commonFuc().get_business_data(module, "payload58_5", dept2_id)
    # # # # 发送请求
    # result = commonFuc().http_post(url, request_body, headers)
    # print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    # # 断言
    # # checkDict=commonFuc().get_business_data(module,'checkDict10')
    # # commonFuc().check_result(checkDict,result)
    # code = commonFuc().analysis_json('code', result)
    # data = commonFuc().analysis_json('data', result)
    # total = commonFuc().analysis_json('total', data)
    # data = commonFuc().analysis_json('data', data)
    # goodsName = commonFuc().analysis_json('goodsName', data)
    # # print(pageSize)
    # if code == 0 and total >= 1:
    #     commonFuc().check_text_exist(0, result)
    # else:
    #     commonFuc().check_text_exist('error', result)


test1()
