# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,p1科室管理_科室产品分配_产品列表查询_条件查询,id2263,id2263-181,sit,on
内网:p1科室管理_科室产品分配_产品列表查询_条件查询
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1():
    """
     场景:p1科室管理_科室产品分配_产品列表查询_条件查询
     用例名称：p1科室管理_科室产品分配_产品列表查询_条件查询
     输入：产品id，科室编号
     输出："rtn_msg": {"code": 0, "msg": null,    "data": []}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    #     # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    # pro_path = commonFuc().get_pro_path()
    # sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # using(pro_path + r'\\air_case\\b2_herp3_bs\\n7运维管理_消息通知模板_消息类型_获取消息模板ID.air')
    # from n7运维管理_消息通知模板_消息类型_获取消息模板ID import test1
    # id1= test1()
    # print(id1)
    # p1科室管理_科室产品分配_产品列表查询_条件查询
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_mcmsDeptGoodsInfo_page_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    str = commonFuc().get_business_data(module, 'data10')
    list2 = list(str.split(","))
    print(list2)
    # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_hms(2)
    # for i in list2:

    # dept2_id = FileUtils().r_info(module, '科室信息')["dept2_id"]
    # 请求体
    for i in list2:
        request_body = commonFuc().get_business_data(module, "payload58_14", i)
        # request_body='['+str(request_body)+']'
        # new_request_body = request_body.replace("'", '"')
        # print(new_request_body)
        # import json
        # request_body_json = json.loads(new_request_body)
        # # # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
        # 断言
        # checkDict=commonFuc().get_business_data(module,'checkDict10')
        # commonFuc().check_result(checkDict,result)
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        data1 = commonFuc().analysis_json('data', data)
        hosGoodsCode = commonFuc().analysis_json('hosGoodsCode', data1)

        if code == 0 and len(data1) >= 1 and hosGoodsCode == '00001977':
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)
    # 按规格型号查询
    request_body = commonFuc().get_business_data(module, "payload58_15", 'SSY-001')
    # request_body='['+str(request_body)+']'
    # new_request_body = request_body.replace("'", '"')
    # print(new_request_body)
    # import json
    # request_body_json = json.loads(new_request_body)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    # 断言
    # checkDict=commonFuc().get_business_data(module,'checkDict10')
    # commonFuc().check_result(checkDict,result)
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    data1 = commonFuc().analysis_json('data', data)
    hosGoodsCode = commonFuc().analysis_json('hosGoodsCode', data1)

    if code == 0 and len(data1) >= 1 and hosGoodsCode == '00001977':
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
    # 按耗材类型查询
    str = commonFuc().get_business_data(module, 'data11')
    list2 = list(str.split(","))
    print(list2)
    for i in list2:
        request_body = commonFuc().get_business_data(module, "payload58_16", i)
        # request_body='['+str(request_body)+']'
        # new_request_body = request_body.replace("'", '"')
        # print(new_request_body)
        # import json
        # request_body_json = json.loads(new_request_body)
        # # # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', '按耗材类型查询', result)
        # 断言
        # checkDict=commonFuc().get_business_data(module,'checkDict10')
        # commonFuc().check_result(checkDict,result)
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        data1 = commonFuc().analysis_json('data', data)
        hosGoodsCode = commonFuc().analysis_json('hosGoodsCode', data1)

        if code == 0 and len(data1) >= 0:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)


test1()
