# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_a1科室管理_自动请领排程_新增_按周,id2263,id2263-203,sit,on
内网:r_a1科室管理_自动请领排程_新增_按周
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
module = "b2_herp3_bs"

def test1():
    """
     场景:r_a1科室管理_自动请领排程_新增_按周
     用例名称：r_a1科室管理_自动请领排程_新增_按周
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    # r_a1科室管理_自动请领排程_新增_按周
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "deptProcOrder_insert_url")

    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    # branch_id = FileUtils().r_info(module, '院区新增')["branch_id"]
    # str = commonFuc().get_business_data(module, 'data3')
    # list2 = list(str.split(","))
    # print(list2)
    # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_hms(2)
    # for i in list2:

    # dept2_id = FileUtils().r_info(module, '科室信息')["dept2_id"]
    # 请求体
    request_body = commonFuc().get_business_data(module, "payload60_2")
    # request_body='['+str(request_body)+']'
    # new_request_body = request_body.replace("'", '"')
    # print(new_request_body)
    # import json
    # request_body_json = json.loads(new_request_body)
    # # # 发送请求
    result = commonFuc().http_post(url, request_body,headers)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)
    # 断言

    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    data1 = commonFuc().analysis_json('data', data)
    # print(len(data1))
    if code == 0 and data == 1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)

test1()

