# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_d4库房管理_库区设置_货位管理_添加货位,id2263,id2263-237,sit,on
内网:r_d4库房管理_库区设置_货位管理_添加货位
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test2(dept_id='d69a68df361a4289b2262e4ef75b55a5', stockId='c66b6ed38dbb4fbc8603dc00cdabb572'):
    """
     场景:r_d4库房管理_库区设置_货位管理_添加货位
     用例名称：r_d4库房管理_库区设置_货位管理_添加货位
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    # 获取库区id
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_stockShelf_page_url")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    request_body = commonFuc().get_business_data(module, "payload62_6", dept_id, stockId)
    result = commonFuc().http_post(url, request_body, headers)
    data = commonFuc().analysis_json('data', result)
    data1 = commonFuc().analysis_json('data', data)
    id1 = commonFuc().analysis_json('id', data1)
    shelfCode = commonFuc().analysis_json('shelfCode', data1)
    createTime = commonFuc().analysis_json('createTime', data1)
    stockId = commonFuc().analysis_json('stockId', data1)
    shelfName = commonFuc().analysis_json('shelfName', data1)
    address = commonFuc().analysis_json('address', data1)
    recPhone = commonFuc().analysis_json('recPhone', data1)
    lastModified = commonFuc().analysis_json('lastModified', data1)
    shelfNo = commonFuc().analysis_json('shelfNo', data1)
    print(id1, lastModified, shelfCode, createTime, stockId, shelfName, address, recPhone, shelfNo)
    print('resultaaaaaaaaaaaaaaaaaaaaaaaaaaa', result)

    # r_d4库房管理_库区设置_货位管理_添加货位
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "basic_stockUser_insertShelf_url")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))

    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload62_12", id1,shelfCode,stockId,id1)

    print('request_body',request_body)
    # # # # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('resultbbbbbbbbbbb', result)

    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)

    # pageSize = commonFuc().analysis_json('pageSize', data)
    # print(pageSize, type(pageSize))

    if code == 0 and data == 4:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)

#从r_b9库房管理_库区设置_库房查询_查询全部.air获取库房id
pro_path = commonFuc().get_pro_path()
sys.path.append(pro_path + r'\\air_case\\b2_herp3_bs\\r_b9库房管理_库区设置_库房查询_查询全部.air')
using(pro_path + r'\\air_case\\b2_herp3_bs\\r_b9库房管理_库区设置_库房查询_查询全部.air')
from r_b9库房管理_库区设置_库房查询_查询全部 import test1
branch_name = FileUtils().r_info(module, '院区新增')["branch_name"]
stockId =test1(branch_name+'中心库房')

info = FileUtils().r_info8(module, "部门和库区信息",'message5')
dept1_id=info['dept1_id']

test2(dept1_id,stockId)
