# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_e8用户管理_用户管理_列表查询_条件查询_模糊查询,id2263,id2263-251,sit,on
内网:r_e8用户管理_用户管理_列表查询_条件查询_模糊查询
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1(orgName='d69a68df361a4289b2262e4ef75b55a5'):
    """
     场景:r_e8用户管理_用户管理_列表查询_条件查询_模糊查询
     用例名称：r_e8用户管理_用户管理_列表查询_条件查询_模糊查询
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "sys_user_list")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    str = commonFuc().get_business_data(module, 'data22')
    list2 = list(str.split(","))
    print(list2)
    # # 请求体
    for i in list2:

        request_body = commonFuc().get_business_data(module, "payload63_6", i)

        print('request_body', request_body)
        # # # # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('resultaaaaaaaaaaaaaaaaaaa', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        cname = commonFuc().analysis_json('cname', result)
        if code == 0 and len(data) >= 1:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)
    # 姓名模糊输入，其他条件全部输入
        request_body = commonFuc().get_business_data(module, "payload63_8", i,orgName)
        result = commonFuc().http_post(url, request_body, headers)
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', data)
        if code == 0 and len(data) >= 1 :
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)


test1()
