# -*- encoding=utf8 -*-
import sys

from airtest.core.helper import using

from common.db.sql.sql_del_branch_info import delData
from common.db.sql.sql_del_kind_goodsinfo import delKindGoodsinfo
from common.db.sql.sql_del_notices_info import delByNoticeName
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,r_f8接口管理_接口日志_接口日志列表_条件查询_模糊查询,id2263,id2263-261,sit,on
内网:r_f8接口管理_接口日志_接口日志列表_条件查询_模糊查询
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system

module = "b2_herp3_bs"


def test1():
    """
     场景:r_f8接口管理_接口日志_接口日志列表_条件查询_模糊查询
     用例名称：r_f8接口管理_接口日志_接口日志列表_条件查询_模糊查询
     输入：""
     输出："rtn_msg": {"code": 0, "msg": null,    "data":[]}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    ## print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)

    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_interfaceLog_url")
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    str = commonFuc().get_business_data(module, 'data23')
    list2 = list(str.split(","))
    print(list2)
    #按接口名称模糊查询
    for i in list2:
        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload64_2",i)
        print('request_body', request_body)
        # # # # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('resultaaaaaaaaaaaaaaaaaaa', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', result)
        if code == 0 and total >= 1:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)

test1()
