# -*- encoding=utf8 -*-
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_b9_采购计划_列表查询_条件查询_根据计划类型查询,id2297,id2297-19,sit,on
内网:a_b9_采购计划_列表查询_条件查询_根据计划类型查询 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_b9_采购计划_列表查询_条件查询_根据计划类型查询
     用例名称：a_b9_采购计划_列表查询_条件查询_根据计划类型查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    # =================================
    # =================================
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_purPlan_listVoPage_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    str = commonFuc().get_business_data(module, 'data8')
    list2 = list(str.split(","))
    print(list2)
    for i in list2:
        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload17_4", i)
        # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('result', result)
        # 断言i
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', data)
        closeStatus = commonFuc().analysis_json('closeStatus', data)
        print('closeStatus', closeStatus)
        if code == 0 and len(data) >= 0 and total >= 0:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)
    # 计划类型为全部
    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload17_5")
    # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('result', result)
    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    total = commonFuc().analysis_json('total', data)
    closeStatus = commonFuc().analysis_json('closeStatus', data)
    print('closeStatus', closeStatus)
    if code == 0 and len(data) >= 0 and total >= 0:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)


test1()
