# -*- encoding=utf8 -*-
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_i1_临采任务_新增临采任务_新增产品页面列表查询_全部查询,id2297,id2297-81,sit,on
内网:a_i1_临采任务_新增临采任务_新增产品页面列表查询_全部查询 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_i1_临采任务_新增临采任务_新增产品页面列表查询_全部查询
     用例名称：a_i1_临采任务_新增临采任务_新增产品页面列表查询_全部查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_basic_lcPage_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # 从文件中获取院区id
    branchId = commonFuc().get_business_data(module, 'branchId')
    # # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_add(-1)
    # print(date1,date2)
    # a_i1_临采任务_新增临采任务_新增产品页面列表查询_全部查询

    # # 请求体
    request_body = commonFuc().get_business_data(module, "payload21")
    print('request_body', request_body)
    # 发送请求
    result = commonFuc().http_post(url, request_body, headers)
    print('result', result)
    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    pageSize = commonFuc().analysis_json('pageSize', data)
    if code == 0 and len(data)>=1:
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)
# 将三个产品明细信息存入到文件中，用于后面的精确查询和模糊查询
    data1 = commonFuc().analysis_json('data', data)
    # print(type(data1), data1)
    list_a = []
    list_b = []
    list_c = []
    list_a.append(data1[0])
    list_b.append(data1[1])
    list_c.append(data1[2])
    # print('list_a', len(list_a), list_a)
    info = (list_a, list_b, list_c)
    titlename = ('list_a', 'list_b', 'list_c')
    # 将采购计划明细信息写入到文件中
    FileUtils().w_info8(info, module, '产品明细信息', titlename, 'message4')
test1()
