# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_l3_带量采购目录_查看,id2297,id2297-113,sit,on
内网:a_l3_带量采购目录_查看 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_l3_带量采购目录_查看
     用例名称：a_l3_带量采购目录_查看
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    # 从文件获取带量采购目录id
    info = FileUtils().r_info8(module, "带量采购目录信息", 'message7')
    list2 = info['list_a']
    id1 = ' '.join(list2)
    print('bbbb', id1, type(id1))
    # ======================================查看带量项目=======================================
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module,
                                                                    "herpService_vbp_getById_url")
    url = url + id1
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)

    # 发送请求
    result = commonFuc().http_get(url, headers)
    print('result', result)

    # 断言
    code = commonFuc().analysis_json('code', result)
    data = commonFuc().analysis_json('data', result)
    projectName = commonFuc().analysis_json('projectName', data)
    if code == 0 and len(data) >= 1 and projectName == '自动化测试':
        commonFuc().check_text_exist(0, result)
    else:
        commonFuc().check_text_exist('error', result)

test1()
