# -*- encoding=utf8 -*-
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_l6_带量采购目录_列表查询_条件查询_精确查询_日期,id2297,id2297-122,sit,on
内网:a_l6_带量采购目录_列表查询_条件查询_精确查询_日期 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_l6_带量采购目录_列表查询_条件查询_精确查询_日期
     用例名称：a_l6_带量采购目录_列表查询_条件查询_精确查询_日期
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_vbp_listPage_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # 从文件中获取院区id
    branchId = commonFuc().get_business_data(module, 'branchId')
    # # #获取日期
    # date1=timeUtils().get_time_hms(2)
    # date2=timeUtils().get_time_add(-1)
    # print(date1,date2)
    # a_l6_带量采购目录_列表查询_条件查询_精确查询_日期
    projectname = commonFuc().get_business_data(module, "projectname")
    # 从文件中获取产品名称
    info = FileUtils().r_info8(module, "产品明细信息", 'message6')
    # print('info', info)
    list_a = info['list_a']
    # print('list_a', list_a)
    hosGoodsCode = 'hosGoodsCode'
    goodsName = 'goodsName'
    goodsGeneralName = 'goodsGeneralName'
    for i in list_a:
        hosGoodsCode = i['hosGoodsCode']
        goodsName = i['goodsName']
        goodsGeneralName = i['goodsGeneralName']
        break
    list2 = [hosGoodsCode, goodsName, goodsGeneralName]
    # # #获取日期
    date1 = timeUtils().get_time_hms(2)
    date2 = timeUtils().get_time_add(1)
    for i in list2:
        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload22_12", projectname, i, date2, date1)
        print('request_body', request_body)
        # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('result', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', data)
        if code == 0 and total == 1:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)
test1()
