# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_n2_手术通知单_列表查询_条件查询_模糊查询_进院供应商,id2297,id2297-132,sit,on
内网:a_n2_手术通知单_列表查询_条件查询_模糊查询_进院供应商 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_n2_手术通知单_列表查询_条件查询_模糊查询_进院供应商
     用例名称：a_n2_手术通知单_列表查询_条件查询_模糊查询_进院供应商
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_operationNotice_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # 从文件中获取院区id
    branchId = commonFuc().get_business_data(module, 'branchId')
    # # #获取日期
    date1 = timeUtils().get_time_hms(5)
    date2 = timeUtils().get_time_add(-180, 2)
    # print(date1,date2)
    # 从文件中获取手术申请单号
    info = FileUtils().r_info8(module, "手术通知单信息", 'message8')
    # print('info', info)
    list_a = info['list_a']
    # print('list_a', list_a)
    orderNo = 'orderNo'
    sourceOrderNo = 'sourceOrderNo'
    provName='provName'
    for i in list_a:
        orderNo = i['orderNo']
        sourceOrderNo = i['sourceOrderNo']
        provName=i['provName']
        break
    list2=commonFuc().get_str(provName)
    for i in list2:
        ##请求体
        request_body = commonFuc().get_business_data(module, "payload23_3", orderNo, i,sourceOrderNo, date2, date1, branchId)
        print('request_body', request_body)
        # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('result', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        total = commonFuc().analysis_json('total', data)
        if code == 0 and total >= 1:
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)


test1()
