# -*- encoding=utf8 -*-
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.timeUtils import timeUtils

__author__ = "xiaohesheng"

"""
case_tag:api,herp-web,a_o0_手术通知单详情页明细_分页查询,id2297,id2297-140,sit,on
内网:a_o0_手术通知单详情页明细_分页查询 
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys


def test1():
    module = "b3_herp3_purchase"
    """
     场景:a_o0_手术通知单详情页明细_分页查询
     用例名称：a_o0_手术通知单详情页明细_分页查询
     输入：无
     输出："rtn_msg": {"code": 0, "msg": null,    "data": true}
    """
    # 内网登录
    username = commonFuc().get_business_data(module, "username")
    # print('医院名称',username)
    password = commonFuc().get_business_data(module, "password")
    # print(username, password,'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')
    # 获取token和projectCode
    token, projectCode, uxid, corpId, info = login_system(username, password).get_token()
    # print( token,projectCode,uxid,corpId,info)
    #
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "herpService_operationNotice_list_url")
    print(url)
    # 获取请求头信息
    headers = commonFuc().get_business_data(module, "json_headers2",
                                            commonFuc().get_business_data(module, "json_contentType"), token,
                                            commonFuc().get_business_data(module, "X-APP-CODE"))
    print('headers', headers)
    # 从文件中获取院区id
    branchId = commonFuc().get_business_data(module, 'branchId')
    # 从文件中获取手术通知单id
    info = FileUtils().r_info8(module, "手术通知单信息", 'message8')
    # print('info', info)
    list_a = info['list_a']
    # print('list_a', list_a)
    id1 = 'id1'
    orderNo = 'orderNo'
    for i in list_a:
        id1 = i['id']
        orderNo = i['orderNo']
        break
    # 分页查询
    str = commonFuc().get_business_data(module, 'data6')
    list2 = list(str.split(","))
    print('list2', list2)
    for i in list2:
        # # 请求体
        request_body = commonFuc().get_business_data(module, "payload23_8", i,id1)
        print('request_body', request_body)
        # 发送请求
        result = commonFuc().http_post(url, request_body, headers)
        print('result', result)
        # 断言
        code = commonFuc().analysis_json('code', result)
        data = commonFuc().analysis_json('data', result)
        pageSize = commonFuc().analysis_json('pageSize', data)
        if code == 0 and pageSize == int(i):
            commonFuc().check_text_exist(0, result)
        else:
            commonFuc().check_text_exist('error', result)

test1()
